Package org.apache.catalina.ant.jmx

## Class JMXAccessorConditionBase

- java.lang.Object
- - org.apache.tools.ant.ProjectComponent
  - - org.apache.catalina.ant.jmx.JMXAccessorConditionBase

All Implemented Interfaces:
  `java.lang.Cloneable`, `org.apache.tools.ant.taskdefs.condition.Condition`

Direct Known Subclasses:
  `JMXAccessorCondition`, `JMXAccessorEqualsCondition`

    public abstract class JMXAccessorConditionBase
    extends org.apache.tools.ant.ProjectComponent
    implements org.apache.tools.ant.taskdefs.condition.Condition

### Field Summary

### Fields inherited from class org.apache.tools.ant.ProjectComponent

`description, location, project`

### Constructor Summary

Constructors
`JMXAccessorConditionBase()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected java.lang.String` `accessJMXValue()` Get value from MBeans attribute.
`java.lang.String` `getAttribute()`
`java.lang.String` `getHost()`
`protected javax.management.MBeanServerConnection` `getJMXConnection()` Get JMXConnection (default look at jmx.server project reference from jmxOpen Task).
`java.lang.String` `getName()`
`java.lang.String` `getPassword()`
`java.lang.String` `getPort()`
`java.lang.String` `getRef()`
`java.lang.String` `getUrl()`
`java.lang.String` `getUsername()`
`java.lang.String` `getValue()`
`void` `setAttribute​(java.lang.String attribute)`
`void` `setHost​(java.lang.String host)`
`void` `setName​(java.lang.String objectName)`
`void` `setPassword​(java.lang.String password)`
`void` `setPort​(java.lang.String port)`
`void` `setRef​(java.lang.String refId)`
`void` `setUrl​(java.lang.String url)`
`void` `setUsername​(java.lang.String username)`
`void` `setValue​(java.lang.String value)`

### Methods inherited from class org.apache.tools.ant.ProjectComponent

`clone, getDescription, getLocation, getProject, log, log, setDescription, setLocation, setProject`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.apache.tools.ant.taskdefs.condition.Condition

`eval`

### Constructor Detail

#### JMXAccessorConditionBase

    public JMXAccessorConditionBase()

### Method Detail

#### getAttribute

    public java.lang.String getAttribute()

Returns:
  Returns the attribute.

#### setAttribute

    public void setAttribute​(java.lang.String attribute)

Parameters:
  `attribute` - The attribute to set.

#### getHost

    public java.lang.String getHost()

Returns:
  Returns the host.

#### setHost

    public void setHost​(java.lang.String host)

Parameters:
  `host` - The host to set.

#### getName

    public java.lang.String getName()

Returns:
  Returns the name.

#### setName

    public void setName​(java.lang.String objectName)

Parameters:
  `objectName` - The name to set.

#### getPassword

    public java.lang.String getPassword()

Returns:
  Returns the password.

#### setPassword

    public void setPassword​(java.lang.String password)

Parameters:
  `password` - The password to set.

#### getPort

    public java.lang.String getPort()

Returns:
  Returns the port.

#### setPort

    public void setPort​(java.lang.String port)

Parameters:
  `port` - The port to set.

#### getUrl

    public java.lang.String getUrl()

Returns:
  Returns the url.

#### setUrl

    public void setUrl​(java.lang.String url)

Parameters:
  `url` - The url to set.

#### getUsername

    public java.lang.String getUsername()

Returns:
  Returns the username.

#### setUsername

    public void setUsername​(java.lang.String username)

Parameters:
  `username` - The username to set.

#### getValue

    public java.lang.String getValue()

Returns:
  Returns the value.

#### setValue

    public void setValue​(java.lang.String value)

#### getRef

    public java.lang.String getRef()

Returns:
  Returns the ref.

#### setRef

    public void setRef​(java.lang.String refId)

Parameters:
  `refId` - The ref to set.

#### getJMXConnection

    protected javax.management.MBeanServerConnection getJMXConnection()
                                                               throws java.net.MalformedURLException,
                                                                      java.io.IOException

Get JMXConnection (default look at jmx.server project reference from jmxOpen Task).

Returns:
  active JMXConnection
Throws:
  `java.net.MalformedURLException` - Invalid URL for JMX server
  `java.io.IOException` - Connection error

#### accessJMXValue

    protected java.lang.String accessJMXValue()

Get value from MBeans attribute.

Returns:
  The value